<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: G4UiMessengerUtil Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>G4UiMessengerUtil Class Reference</h1><!-- doxytag: class="G4UiMessengerUtil" -->
<p><a href="classG4UiMessengerUtil-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static G4UIcmdWith3VectorAndUnit *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#ad31722cdb5380e9b3f2af82b4e375ba5">createCmd</a> (G4UImessenger *messenger, G4String path, G4String name, G4ThreeVector defaultValue, G4String defaultUnit)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static G4UIcmdWithADoubleAndUnit *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a196a932c258af281014ed8e24bb299db">createCmd</a> (G4UImessenger *messenger, G4String path, G4String name, double defaultValue, G4String defaultUnit)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static G4UIcmdWithAString *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a9063e4801c19309f912222a20416c9a3">createCmd</a> (G4UImessenger *messenger, G4String path, G4String name, G4String defaultValue)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static G4UIcmdWithADouble *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a76f28d1ccd17cba24e75746a2f26df3c">createCmd</a> (G4UImessenger *messenger, G4String path, G4String name, double defaultValue)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static G4UIcmdWithAnInteger *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a32db105a4e6b03800cdaf363b31c885f">createCmd</a> (G4UImessenger *messenger, G4String path, G4String name, int defaultValue)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static G4UIcmdWithABool *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a8f574f4143b8616af1f349a57b7e24e9">createCmd</a> (G4UImessenger *messenger, G4String path, G4String name, bool defaultValue)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a2a70f7481b23621eb5055bb0ddc14a1d">executeMacro</a> (std::string filename, bool silent=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a4463df7b3239b91e73690f5d0cf3c4d6">setNewValueIfCmdMatches</a> (G4UIcommand *in, G4UIcmdWith3VectorAndUnit *out, G4String &amp;newValue, G4ThreeVector &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a50c6a68ac04d2fd878c5f4dff94223bf">setNewValueIfCmdMatches</a> (G4UIcommand *in, G4UIcmdWithADoubleAndUnit *out, G4String &amp;newValue, double &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a1694968f304ea22812002410b9e87aee">setNewValueIfCmdMatches</a> (G4UIcommand *in, G4UIcmdWithAString *out, G4String &amp;newValue, G4String &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a0b598f4032b5234f2884b9959e771bfa">setNewValueIfCmdMatches</a> (G4UIcommand *in, G4UIcmdWithADouble *out, G4String &amp;newValue, double &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a1efa1c30b85c322fa26896e54329b11f">setNewValueIfCmdMatches</a> (G4UIcommand *in, G4UIcmdWithAnInteger *out, G4String &amp;newValue, int &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4UiMessengerUtil.html#a439bdce6b26566acaa9130d680d97a75">setNewValueIfCmdMatches</a> (G4UIcommand *in, G4UIcmdWithABool *out, G4String &amp;newValue, bool &amp;value)</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Utility class providing easier handling of UI commands. </p>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad31722cdb5380e9b3f2af82b4e375ba5"></a><!-- doxytag: member="G4UiMessengerUtil::createCmd" ref="ad31722cdb5380e9b3f2af82b4e375ba5" args="(G4UImessenger *messenger, G4String path, G4String name, G4ThreeVector defaultValue, G4String defaultUnit)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4UIcmdWith3VectorAndUnit * G4UiMessengerUtil::createCmd </td>
          <td>(</td>
          <td class="paramtype">G4UImessenger *&nbsp;</td>
          <td class="paramname"> <em>messenger</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>defaultValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>defaultUnit</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>messenger</em>&nbsp;</td><td>- the messenger instance. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>path</em>&nbsp;</td><td>- the command path. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>- the command name. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>defaultValue</em>&nbsp;</td><td>- the default value to set. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>defaultUnit</em>&nbsp;</td><td>- the default unit. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>G4UIcmdWith3VectorAndUnit - the command. </dd></dl>

</div>
</div>
<a class="anchor" id="a196a932c258af281014ed8e24bb299db"></a><!-- doxytag: member="G4UiMessengerUtil::createCmd" ref="a196a932c258af281014ed8e24bb299db" args="(G4UImessenger *messenger, G4String path, G4String name, double defaultValue, G4String defaultUnit)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4UIcmdWithADoubleAndUnit * G4UiMessengerUtil::createCmd </td>
          <td>(</td>
          <td class="paramtype">G4UImessenger *&nbsp;</td>
          <td class="paramname"> <em>messenger</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>defaultValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>defaultUnit</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>messenger</em>&nbsp;</td><td>- the messenger instance. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>path</em>&nbsp;</td><td>- the command path. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>- the command name. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>defaultValue</em>&nbsp;</td><td>- the default value to set. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>defaultUnit</em>&nbsp;</td><td>- the default unit. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>G4UIcmdWithADoubleAndUnit - the command. </dd></dl>

</div>
</div>
<a class="anchor" id="a9063e4801c19309f912222a20416c9a3"></a><!-- doxytag: member="G4UiMessengerUtil::createCmd" ref="a9063e4801c19309f912222a20416c9a3" args="(G4UImessenger *messenger, G4String path, G4String name, G4String defaultValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4UIcmdWithAString * G4UiMessengerUtil::createCmd </td>
          <td>(</td>
          <td class="paramtype">G4UImessenger *&nbsp;</td>
          <td class="paramname"> <em>messenger</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>defaultValue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>messenger</em>&nbsp;</td><td>- the messenger instance. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>path</em>&nbsp;</td><td>- the command path. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>- the command name. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>defaultValue</em>&nbsp;</td><td>- the default value to set. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>G4UIcmdWithAString - the command. </dd></dl>

</div>
</div>
<a class="anchor" id="a76f28d1ccd17cba24e75746a2f26df3c"></a><!-- doxytag: member="G4UiMessengerUtil::createCmd" ref="a76f28d1ccd17cba24e75746a2f26df3c" args="(G4UImessenger *messenger, G4String path, G4String name, double defaultValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4UIcmdWithADouble * G4UiMessengerUtil::createCmd </td>
          <td>(</td>
          <td class="paramtype">G4UImessenger *&nbsp;</td>
          <td class="paramname"> <em>messenger</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>defaultValue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>messenger</em>&nbsp;</td><td>- the messenger instance. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>path</em>&nbsp;</td><td>- the command path. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>- the command name. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>defaultValue</em>&nbsp;</td><td>- the default value to set. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>G4UIcmdWithADouble - the command. </dd></dl>

</div>
</div>
<a class="anchor" id="a32db105a4e6b03800cdaf363b31c885f"></a><!-- doxytag: member="G4UiMessengerUtil::createCmd" ref="a32db105a4e6b03800cdaf363b31c885f" args="(G4UImessenger *messenger, G4String path, G4String name, int defaultValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4UIcmdWithAnInteger * G4UiMessengerUtil::createCmd </td>
          <td>(</td>
          <td class="paramtype">G4UImessenger *&nbsp;</td>
          <td class="paramname"> <em>messenger</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>defaultValue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>messenger</em>&nbsp;</td><td>- the messenger instance. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>path</em>&nbsp;</td><td>- the command path. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>- the command name. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>defaultValue</em>&nbsp;</td><td>- the default value to set. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>G4UIcmdWithAnInteger - the command. </dd></dl>

</div>
</div>
<a class="anchor" id="a8f574f4143b8616af1f349a57b7e24e9"></a><!-- doxytag: member="G4UiMessengerUtil::createCmd" ref="a8f574f4143b8616af1f349a57b7e24e9" args="(G4UImessenger *messenger, G4String path, G4String name, bool defaultValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4UIcmdWithABool * G4UiMessengerUtil::createCmd </td>
          <td>(</td>
          <td class="paramtype">G4UImessenger *&nbsp;</td>
          <td class="paramname"> <em>messenger</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>defaultValue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>messenger</em>&nbsp;</td><td>- the messenger instance. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>path</em>&nbsp;</td><td>- the command path. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>- the command name. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>defaultValue</em>&nbsp;</td><td>- the default value to set. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>G4UIcmdWithABool - the command. </dd></dl>

</div>
</div>
<a class="anchor" id="a2a70f7481b23621eb5055bb0ddc14a1d"></a><!-- doxytag: member="G4UiMessengerUtil::executeMacro" ref="a2a70f7481b23621eb5055bb0ddc14a1d" args="(std::string filename, bool silent=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4UiMessengerUtil::executeMacro </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>silent</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Executes a macro file.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>- the macro file name. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>silent</em>&nbsp;</td><td>- if true, no error message will occur if the file does not exist. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4463df7b3239b91e73690f5d0cf3c4d6"></a><!-- doxytag: member="G4UiMessengerUtil::setNewValueIfCmdMatches" ref="a4463df7b3239b91e73690f5d0cf3c4d6" args="(G4UIcommand *in, G4UIcmdWith3VectorAndUnit *out, G4String &amp;newValue, G4ThreeVector &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4UiMessengerUtil::setNewValueIfCmdMatches </td>
          <td>(</td>
          <td class="paramtype">G4UIcommand *&nbsp;</td>
          <td class="paramname"> <em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4UIcmdWith3VectorAndUnit *&nbsp;</td>
          <td class="paramname"> <em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>newValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>in</em>&nbsp;</td><td>- the command of the new value. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>out</em>&nbsp;</td><td>- the command the value corresponds to. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>newValue</em>&nbsp;</td><td>- the new value string. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>- the value to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a50c6a68ac04d2fd878c5f4dff94223bf"></a><!-- doxytag: member="G4UiMessengerUtil::setNewValueIfCmdMatches" ref="a50c6a68ac04d2fd878c5f4dff94223bf" args="(G4UIcommand *in, G4UIcmdWithADoubleAndUnit *out, G4String &amp;newValue, double &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4UiMessengerUtil::setNewValueIfCmdMatches </td>
          <td>(</td>
          <td class="paramtype">G4UIcommand *&nbsp;</td>
          <td class="paramname"> <em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4UIcmdWithADoubleAndUnit *&nbsp;</td>
          <td class="paramname"> <em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>newValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>in</em>&nbsp;</td><td>- the command of the new value. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>out</em>&nbsp;</td><td>- the command the value corresponds to. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>newValue</em>&nbsp;</td><td>- the new value string. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>- the value to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1694968f304ea22812002410b9e87aee"></a><!-- doxytag: member="G4UiMessengerUtil::setNewValueIfCmdMatches" ref="a1694968f304ea22812002410b9e87aee" args="(G4UIcommand *in, G4UIcmdWithAString *out, G4String &amp;newValue, G4String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4UiMessengerUtil::setNewValueIfCmdMatches </td>
          <td>(</td>
          <td class="paramtype">G4UIcommand *&nbsp;</td>
          <td class="paramname"> <em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4UIcmdWithAString *&nbsp;</td>
          <td class="paramname"> <em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>newValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>in</em>&nbsp;</td><td>- the command of the new value. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>out</em>&nbsp;</td><td>- the command the value corresponds to. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>newValue</em>&nbsp;</td><td>- the new value string. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>- the value to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0b598f4032b5234f2884b9959e771bfa"></a><!-- doxytag: member="G4UiMessengerUtil::setNewValueIfCmdMatches" ref="a0b598f4032b5234f2884b9959e771bfa" args="(G4UIcommand *in, G4UIcmdWithADouble *out, G4String &amp;newValue, double &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4UiMessengerUtil::setNewValueIfCmdMatches </td>
          <td>(</td>
          <td class="paramtype">G4UIcommand *&nbsp;</td>
          <td class="paramname"> <em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4UIcmdWithADouble *&nbsp;</td>
          <td class="paramname"> <em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>newValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>in</em>&nbsp;</td><td>- the command of the new value. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>out</em>&nbsp;</td><td>- the command the value corresponds to. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>newValue</em>&nbsp;</td><td>- the new value string. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>- the value to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1efa1c30b85c322fa26896e54329b11f"></a><!-- doxytag: member="G4UiMessengerUtil::setNewValueIfCmdMatches" ref="a1efa1c30b85c322fa26896e54329b11f" args="(G4UIcommand *in, G4UIcmdWithAnInteger *out, G4String &amp;newValue, int &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4UiMessengerUtil::setNewValueIfCmdMatches </td>
          <td>(</td>
          <td class="paramtype">G4UIcommand *&nbsp;</td>
          <td class="paramname"> <em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4UIcmdWithAnInteger *&nbsp;</td>
          <td class="paramname"> <em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>newValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>in</em>&nbsp;</td><td>- the command of the new value. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>out</em>&nbsp;</td><td>- the command the value corresponds to. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>newValue</em>&nbsp;</td><td>- the new value string. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>- the value to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a439bdce6b26566acaa9130d680d97a75"></a><!-- doxytag: member="G4UiMessengerUtil::setNewValueIfCmdMatches" ref="a439bdce6b26566acaa9130d680d97a75" args="(G4UIcommand *in, G4UIcmdWithABool *out, G4String &amp;newValue, bool &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4UiMessengerUtil::setNewValueIfCmdMatches </td>
          <td>(</td>
          <td class="paramtype">G4UIcommand *&nbsp;</td>
          <td class="paramname"> <em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4UIcmdWithABool *&nbsp;</td>
          <td class="paramname"> <em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>newValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>in</em>&nbsp;</td><td>- the command of the new value. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>out</em>&nbsp;</td><td>- the command the value corresponds to. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>newValue</em>&nbsp;</td><td>- the new value string. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>- the value to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 22 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
